/************************************************************* HOMEPAGE *************************************************************/

.page-homepage {overflow:hidden;}

/* HOMEPAGE INTRO */
.homepage-intro {
    height: 100vh;
    background-image: url(/wp-content/uploads/2026/02/homepage-intro.jpg);
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: cover;
    color: var(--light_cream);
    padding: 100px 0;
    display: flex;
    flex-direction: column-reverse;
}

.homepage-intro-card {
    position: relative;
    border-radius: 15px;
    width: max-content;
    padding: 20px 30px;
    z-index: 1;
}
.glass-card {
    /* Glass background */
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
  
    /* Layered soft shadow */
    box-shadow:
      -2px 4px 10px 0px rgba(145, 145, 145, 0.05),
      -7px 17px 18px 0px rgba(145, 145, 145, 0.04),
      -15px 37px 24px 0px rgba(145, 145, 145, 0.03),
      -27px 66px 29px 0px rgba(145, 145, 145, 0.01),
      -42px 103px 31px 0px rgba(145, 145, 145, 0);
  
      /* keeps blur + border clean */
    /* overflow: hidden;  */
}
.glass-card::before {
    content: "";
    position: absolute;
    inset: 0;
    padding: 1px;

    border-radius: inherit;

    background: conic-gradient(
        from 102.21deg at 52.75% 38.75%,
        rgba(249, 249, 249, 0.5) -32.95deg,
        rgba(64, 64, 64, 0.5) 10.52deg,
        rgba(64, 64, 64, 0.35) 32.12deg,
        #FFFFFF 60.28deg,
        rgba(255, 255, 255, 0.5) 107.79deg,
        rgba(64, 64, 64, 0.35) 187.59deg,
        #F9F9F9 207.58deg,
        #FFFFFF 287.31deg,
        rgba(249, 249, 249, 0.5) 327.05deg,
        rgba(64, 64, 64, 0.5) 370.52deg
    );

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
        -webkit-mask-composite: xor;
            mask-composite: exclude;

    pointer-events: none;
}
.glass-card::after {
    content: "";
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: block;
    position: absolute;
    top: -30px;
    left: -30px;
    background-color: var(--green);
}
.glass-card-2::after {
    bottom: -30px;
    right: -30px;
    left: unset;
    top: unset;
    background: #FEF7D8E0;
}

.glass-orange {background-color: var(--orange);}
.glass-orange::after {
    content: "";
    background-image: url("/wp-content/uploads/2026/02/kaki-icon.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 50px;
    height: 50px;
    display: block;
    position: absolute;
    top: -50px;
    right: -50px;
}

/* HOMEPAGE ZABIERZEMY */
#homepage-zabierzemy {scroll-margin-top:75px;}
.homepage-zabierzemy .wp-block-column:first-child img {
    height: 350px;
    width: auto;
    object-fit: cover;
    border-radius: 50px;
    border: 3px solid var(--green);
}
.homepage-zabierzemy .wp-block-column:last-child {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.homepage-zabierzemy .wp-block-column:last-child img {border-color: var(--orange);}

/* HOMEPAGE OFERTA & CARS */
.homepage-oferta .wp-block-button__link:hover,
.homepage-cars .wp-block-button__link:hover {
	transform:translatey(-10px);
}

.homepage-oferta .homepage-oferta-cols .wp-block-cover,
.homepage-cars .wp-block-cover {
    border-radius: 30px;
    padding: 50px 0;
}
.homepage-oferta .homepage-oferta-cols .wp-block-cover .wp-block-button,
.homepage-cars .wp-block-cover .wp-block-button  {width: 100%;}

.homepage-oferta .homepage-oferta-cols .wp-block-cover .wp-block-button a {
    text-align: left;
    padding: 15px 30px;
}
.homepage-oferta a {font-weight:500;}
.homepage-oferta-desc img {
    border-radius: 50px;
    height: 200px;
}

.homepage-cars .wp-block-cover .wp-block-button a {
    padding: 30px;
    text-align: center;
}

/* HOMEPAGE ONAS (ABOUT US) */
.homepage-onas .container {
    background-image: url(/wp-content/uploads/2026/02/homepage-onas-bg.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}
.homepage-onas-pics img {
    border-radius: 30px;
    border: 3px solid var(--light_cream);
}
.homepage-onas-mobile {display: none;}
.homepage-onas-mobile .container {padding: 0;}
.homepage-onas-mobile .heading2 {
    position: relative;
    z-index: 2;
}
.homepage-onas-mobile-image {
    margin-top: -75px;
    z-index: 1;
}
.homepage-onas-mobile .wp-block-columns {
    gap: 0;
    padding: 0 20px;
    margin-bottom: 10px;
}

.homepage-onas .heading3,
.homepage-onas-mobile .heading3 {
    font-weight: 700;
    font-size: 36px;
    line-height: 100%;
    letter-spacing: 5%;
    font-family: 'Riffic', sans-serif;
}
.homepage-onas-mobile .homepage-onas-pics:last-child {margin-bottom: -100px;}

/* HOMEPAGE KAKI STATS */
.homepage-kaki-stats, .homepage-faq {
    width: 60%;
    display: block;
    margin: 0 auto;
}
.homepage-kaki-stats-desc {font-size: 40px;}
.kaki-stats-item {
    display: flex;
    flex-direction: column;
    padding: 20px;
    align-items: center;
    font-weight: 400;
    text-align: center;
}
.kaki-stats-item .count {font-size: 44px;}

.homepage-kaki-stats p, span.count {
	margin:0;
	word-break: normal;
	overflow-wrap: normal;
}

/************************************************** OPTIMIZATION **************************************************/
@media (max-width: 1600px) {
	.glass-orange::after {right: -30px;}
	.homepage-intro {padding:0 !important;}
	.homepage-kaki-stats, .homepage-faq {width:65%;}
}

@media (max-width: 1200px) {.homepage-intro {padding: 50px 0;}}

@media (max-width: 991px) {}

@media (max-width: 768px) {
    .homepage-onas {display: none;}
    .homepage-onas-mobile {display: block;}
}

@media (max-width: 600px) {
    .page-homepage {padding-bottom: 0 !important;}

    .homepage-intro {
        display: block;
        padding: 30px 10px !important;
        background-image: url(/wp-content/uploads/2026/03/homepage-intro-mobile.jpg);
		position:relative;
		height:120vh;
    }
    .homepage-intro::after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        background: linear-gradient(180deg,rgba(0, 0, 0, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
        top: 0;
        right: 0;
		z-index:9;
    }
	.homepage-intro .wp-block-group__inner-container {
		height: 100%;
		position:relative;
	}
    .homepage-intro-content {
        position: relative;
        z-index: 10;
    }
	.homepage-intro-content p {
		font-size:16px;
		line-height:1.3;
	}
    .homepage-intro .wp-block-columns {margin: 0;}
    .homepage-intro .homepage-intro-card {margin:0 20px 20px 0;}
    .homepage-intro .wp-block-button__link {background-color: var(--green);}
    .glass-orange {float: right;}

    .homepage-zabierzemy .wp-block-column img {height: 250px !important;}

	.homepage-oferta-desc {
		display: grid !important;
		grid-template-columns: 1fr 3fr;
		gap:20px;
	}
	.homepage-oferta figure {
		margin:0;
		height:100%;
	}
    .homepage-oferta img {
        width: 100%;
		height:100%;
		border-radius:35px;
    }

    .homepage-cars .heading4 {font-size: 40px;}
    .homepage-cars .wp-block-group__inner-container > .wp-block-columns {flex-direction: column-reverse;}
    .homepage-cars .wp-block-image figure {
        float: none;
        margin: 0 auto;
    }

    .homepage-dlaczego p {font-size: 22px;}

    .homepage-kaki-stats {
        margin: 0 !important;
        width: 100%;
    }
    .homepage-kaki-stats .wp-block-columns {
        display: block;
        margin: 0 auto;
        width: 50%;
    }
    .homepage-kaki-stats-desc strong{font-weight: 700 !important;}

    .homepage-faq {
        padding: 20px;
        width: 100%;
    }
    
    .homepage-reviews {margin-bottom: 0 !important;}
	.homepage-kaki-stats, .homepage-faq {width:100%;}
}